<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body onload="aniospares()">
    <h1>20 anios a partil del anio actual</h1>
    <ul id="lista"></ul>
    
    <Script>
/*
Mostrar 20 años pares, desde el actual hacia adelante
*/
var pares=[]
listilla=document.getElementById("lista")
function aniospares(){
        var fecha = new Date();
        var anio = fecha.getFullYear();
        var anio1=anio-1
        for(i=0;pares.length < 20;i++){
            anio1++
            if (anio1 % 2 == 0){
                pares.push(anio1)
            }
        }
        for( par of pares)  {
            listilla.insertAdjacentHTML("beforebegin", `<li> ${par} </li>`)
        }  
        
}
    </Script>
</body>
</html>